#!/bin/bash
cd $(dirname $0)

cd ../..
if [ ! -f libnomointerpreter.so ]
then
    bash build.sh
fi
cd $(dirname $0)
cp ../HelloWorld.seed  ./

echo Compilation C

rm *.o
rm test

gcc -c test.c
gcc test.o ../../libnomointerpreter.so -o test

echo Compilations ok
echo Press any key to continue
read

export LD_LIBRARY_PATH=../..:$LD_LIBRARY_PATH
./test

echo Press any key to exit
read

exit 0
